Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.sockenklaus.XmlStats
Class WebServer

    java.lang.Object
      de.sockenklaus.XmlStats.WebServer

    public class WebServer

extends java.lang.Object

The Class WebServer.

Constructor Summary
`WebServer(int port)` Instantiates a new web server.

Method Summary
`boolean` | `isRunning()` Server running.
`void` | `stopServer()` Stop server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServer

    public WebServer(int port)
              throws java.io.IOException

  Instantiates a new web server.

  Parameters:
    `port` - the port
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

Method Detail

### stopServer

    public void stopServer()

  Stop server.

### isRunning

    public boolean isRunning()

  Server running.

  Returns:
    true, if successful

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD